System.ServiceModel 4.0.0.0 System.Enum

The value is used to specify the URI matching rules used by transports such as HTTP, Net.Tcp, and Net.Pipe when dispatching incoming messages. Configure the value of the for a standard binding using one of the preceding transports, such as , using the corresponding property. Configure the value of the for a binding element using one of the preceding transports, such as , using the corresponding property.

Each value of the corresponds to a specific type of matching rule. The sequence of matching rules attempted is always ordered as follows:

The first value, , ignores the host name when matching and it takes the highest precedence of the three different matching modes. It is the default value for a indigo2 system-provided binding or binding element. This indicates that a service endpoint can be reached using any valid host name. For example, if MyService is hosted using http://localhost/MyService, it is still reachable using http://www.adatum.com/MyService because the (presumably valid) host name, "adatum.com", is ignored. Note that the port is a wildcard here as well.

The second value, , requires that an exact match is found with the URI specified, including the hostname, if no strong match is found. This mode, for example, does not perform equivalence between short hostnames and fully-qualified domain names. This allows hostnames to be used as match criteria in the scenarios where multiple hosts are assigned a single IP address and it enables different services to be hosted on the same machine with distinct endpoints. Note that the port is a wildcard here as well.

The third value, , matches by ignoring the hostname if no strong or exact match was found. The behavior is the same as for other than the order of matching: it runs after the strong and exact bindings have been tried.

These values have no effect when used inside of the Internet Information Services (IIS) or Windows Process Activation Service (WAS) hosting environment. In those cases, indigo2 uses whatever hostname comparison mode is provided by the IIS Web Site hosting the indigo2 services.

Specifies how the host name should be used in URI comparisons when dispatching an incoming message to a service endpoint.

- Field
  4.0.0.0
  System.ServiceModel.HostNameComparisonMode

  Uses the hostname when dispatching incoming messages to this endpoint, if no strong match was found.

- Field
  4.0.0.0
  System.ServiceModel.HostNameComparisonMode

  Ignores the hostname when dispatching incoming messages to this endpoint. This is the default value.

- Field
  4.0.0.0
  System.ServiceModel.HostNameComparisonMode

  If no strong or exact match was found, ignores the hostname when matching.